/*********************************************************************

   Group   - Apocalypse Games

   Project - Dominate

   Target  - big.exe
   File    - big.h
   Author  - Jeff Weston

   Purpose - Header File for BIG file utility program

**********************************************************************

RCS Information :

   $Id: big.h 1.9 1997/09/02 07:37:11 Jeff_Weston Exp Jeff_Weston $

   $Log: big.h $
   Revision 1.9  1997/09/02 07:37:11  Jeff_Weston
   - Updated revision to 1.9
   - Added BIGUTIL.H to the #include section.

   Revision 1.8  1997/08/23 01:06:44  Jeff_Weston
   - Updated revision to 1.8.

   Revision 1.7  1997/08/22 01:42:04  Jeff_Weston
   - Updated revision to 1.7.

   Revision 1.6  1997/08/21 20:08:51  Jeff_Weston
   - Added #include for programming utilities header.
   - Updated revision to 1.6.

   Revision 1.5  1997/08/21 07:10:19  Jeff_Weston
   - Fixed page fault bug.
   - Updated revision to 1.5

   Revision 1.4  1997/08/17 23:42:23  Jeff_Weston
   - Added strings associated with additional command line arguments.
   - Updated version to 1.4

   Revision 1.3  1997/08/10 21:40:23  Jeff_Weston
   - Updated revision to 1.3.

   Revision 1.2  1997/08/01 00:39:05  Jeff_Weston
   - Added #include statements for linked lists and strings.
   - Updated revision to 1.2.

   Revision 1.1  1997/07/31 00:10:34  Jeff_Weston
   Initial revision


*********************************************************************/

/****************** Constant Strings ********************************/
#define WELCOME1_STR "\nWelcome to the BIG file utility program.\n"
#define WELCOME2_STR "  Written by Jeff Weston.\n\n"
#define WELCOME3_STR "Revision 1.9\n\n"

#define SWITCH_ADD   "-a"
#define SWITCH_DEL   "-d"
#define SWITCH_EXT   "-e"

#define OPTION_ADD   "--Adding Files to BIG File--\n\n"
#define OPTION_DEL   "--Removing Files from BIG File--\n\n"
#define OPTION_EXT   "--Extracting Files from BIG File--\n\n"
/****************** Constant Integers *******************************/
#define BUFFER 256

/****************** #includes and #defines **************************/
#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <string.h>
#include "cstring.h"
#include "list.h"
#include "util.h"
#include "bigutil.h"

/****************** Definition of Class FILE_ENTRY ******************/
class FILE_ENTRY
{
public:
  cstring   strFilePath;
  cstring   strFileName;
  long int iFileSize;

  FILE_ENTRY ();
  FILE_ENTRY (const FILE_ENTRY& feTemp);
};

int operator <  (const FILE_ENTRY& left, const FILE_ENTRY& right);
int operator >  (const FILE_ENTRY& left, const FILE_ENTRY& right);
int operator <= (const FILE_ENTRY& left, const FILE_ENTRY& right);
int operator >= (const FILE_ENTRY& left, const FILE_ENTRY& right);
int operator == (const FILE_ENTRY& left, const FILE_ENTRY& right);
int operator != (const FILE_ENTRY& left, const FILE_ENTRY& right);
