/*********************************************************************

   Group   - Apocalypse Games

   Project - Dominate

   Target  - bigutil.obj
   File    - bigutil.h
   Author  - Jeff Weston

   Purpose - Header File for BIG file utilities

**********************************************************************

RCS Information :

   $Id: bigutil.h 1.5 1997/09/02 07:37:59 Jeff_Weston Exp Jeff_Weston $

   $Log: bigutil.h $
   Revision 1.5  1997/09/02 07:37:59  Jeff_Weston
   - Added declarations for BIG_ExtractRealFile function.

   Revision 1.4  1997/09/01 02:40:30  Jeff_Weston
   - Added the function BIG_DDLoadBitmap.

   Revision 1.3  1997/08/22 23:46:31  Jeff_Weston
   - Added declaration for BIG_FileExists.

   Revision 1.2  1997/08/22 05:11:10  Jeff_Weston
   - Added declarations for ExtractFile and BIG_DDLoadBitmap functions.

   Revision 1.1  1997/08/21 20:25:51  Jeff_Weston
   Initial revision


*********************************************************************/

/****************** Constant Strings ********************************/
#define TEMP_PATH   "."
#define TEMP_PREFIX "DOM"

/****************** Constant Integers *******************************/
#define BUF_SIZE    4096

/****************** #includes and #defines **************************/
#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <directx/ddraw.h>
#include "ddutil.h"
#include "util.h"
#include "cstring.h"

int BIG_FileExists (const char* szBigFile, const char* szFileName);

void BIG_ExtractRealFile (const char* szBigFile, const char* szFileName);

cstring ExtractTempFile (const char* szBigFile, const char* szFileName);

IDirectDrawSurface* BIG_DDLoadBitmap (const char* szBigFile, IDirectDraw* pdd,
                                      const char* szBitmap, int dx, int dy);

IDirectDrawPalette* BIG_DDLoadPalette (const char* szBigFile, IDirectDraw* pdd,
                                       const char* szBitmap);
