/*********************************************************************

   Group   - Apocalypse Games

   Project - Dominate

   Target  - error.obj
   File    - error.cpp
   Author  - Jeff Weston

   Purpose - Source Code for DirectX Error Printing.

*********************************************************************/

#include "error.h"

void PrintError (HRESULT ddrval, HWND hWnd)
{
  char buf[256];

  switch (ddrval)
  {
    case DD_OK                              :
      wsprintf (buf, "DD_OK"); break;

    case DDERR_ALREADYINITIALIZED           :
      wsprintf (buf, "DDERR_ALREADYINITIALIZED"); break;

    case DDERR_BLTFASTCANTCLIP              :
      wsprintf (buf, "DDERR_BLTFASTCANTCLIP"); break;

    case DDERR_CANNOTATTACHSURFACE          :
      wsprintf (buf, "DDERR_CANNOTATTACHSURFACE"); break;

    case DDERR_CANNOTDETACHSURFACE          :
      wsprintf (buf, "DDERR_CANNOTDETACHSURFACE"); break;

    case DDERR_CANTCREATEDC                 :
      wsprintf (buf, "DDERR_CANTCREATEDC"); break;

    case DDERR_CANTDUPLICATE                :
      wsprintf (buf, "DDERR_CANTDUPLICATE"); break;

    case DDERR_CANTLOCKSURFACE              :
      wsprintf (buf, "DDERR_CANTLOCKSURFACE"); break;

    case DDERR_CANTPAGELOCK                 :
      wsprintf (buf, "DDERR_CANTPAGELOCK"); break;

    case DDERR_CANTPAGEUNLOCK               :
      wsprintf (buf, "DDERR_CANTPAGEUNLOCK"); break;

    case DDERR_CLIPPERISUSINGHWND           :
      wsprintf (buf, "DDERR_CLIPPERISUSINGHWND"); break;

    case DDERR_COLORKEYNOTSET               :
      wsprintf (buf, "DDERR_COLORKEYNOTSET"); break;

    case DDERR_CURRENTLYNOTAVAIL            :
      wsprintf (buf, "DDERR_CURRENTLYNOTAVAIL"); break;

    case DDERR_DCALREADYCREATED             :
      wsprintf (buf, "DDERR_DCALREADYCREATED"); break;

    case DDERR_DIRECTDRAWALREADYCREATED     :
      wsprintf (buf, "DDERR_DIRECTDRAWALREADYCREATED"); break;

    case DDERR_EXCEPTION                    :
      wsprintf (buf, "DDERR_EXCEPTION"); break;

    case DDERR_EXCLUSIVEMODEALREADYSET      :
      wsprintf (buf, "DDERR_EXCLUSIVEMODEALREADYSET"); break;

    case DDERR_GENERIC                      :
      wsprintf (buf, "DDERR_GENERIC"); break;

    case DDERR_HEIGHTALIGN                  :
      wsprintf (buf, "DDERR_HEIGHTALIGN"); break;

    case DDERR_HWNDALREADYSET               :
      wsprintf (buf, "DDERR_HWNDALREADYSET"); break;

    case DDERR_HWNDSUBCLASSED               :
      wsprintf (buf, "DDERR_HWNDSUBCLASSED"); break;

    case DDERR_IMPLICITLYCREATED            :
      wsprintf (buf, "DDERR_IMPLICITLYCREATED"); break;

    case DDERR_INCOMPATIBLEPRIMARY          :
      wsprintf (buf, "DDERR_INCOMPATIBLEPRIMARY"); break;

    case DDERR_INVALIDCAPS                  :
      wsprintf (buf, "DDERR_INVALIDCAPS"); break;

    case DDERR_INVALIDCLIPLIST              :
      wsprintf (buf, "DDERR_INVALIDCLIPLIST"); break;

    case DDERR_INVALIDDIRECTDRAWGUID        :
      wsprintf (buf, "DDERR_INVALIDDIRECTDRAWGUID"); break;

    case DDERR_INVALIDMODE                  :
      wsprintf (buf, "DDERR_INVALIDMODE"); break;

    case DDERR_INVALIDOBJECT                :
      wsprintf (buf, "DDERR_INVALIDOBJECT"); break;

    case DDERR_INVALIDPARAMS                :
      wsprintf (buf, "DDERR_INVALIDPARAMS"); break;

    case DDERR_INVALIDPIXELFORMAT           :
      wsprintf (buf, "DDERR_INVALIDPIXELFORMAT"); break;

    case DDERR_INVALIDPOSITION              :
      wsprintf (buf, "DDERR_INVALIDPOSITION"); break;

    case DDERR_INVALIDRECT                  :
      wsprintf (buf, "DDERR_INVALIDRECT"); break;

    case DDERR_INVALIDSURFACETYPE           :
      wsprintf (buf, "DDERR_INVALIDSURFACETYPE"); break;

    case DDERR_LOCKEDSURFACES               :
      wsprintf (buf, "DDERR_LOCKEDSURFACES"); break;

    case DDERR_NO3D                         :
      wsprintf (buf, "DDERR_NO3D"); break;

    case DDERR_NOALPHAHW                    :
      wsprintf (buf, "DDERR_NOALPHAHW"); break;

    case DDERR_NOBLTHW                      :
      wsprintf (buf, "DDERR_NOBLTHW"); break;

    case DDERR_NOCLIPLIST                   :
      wsprintf (buf, "DDERR_NOCLIPLIST"); break;

    case DDERR_NOCLIPPERATTACHED            :
      wsprintf (buf, "DDERR_NOCLIPPERATTACHED"); break;

    case DDERR_NOCOLORCONVHW                :
      wsprintf (buf, "DDERR_NOCOLORCONVHW"); break;

    case DDERR_NOCOLORKEY                   :
      wsprintf (buf, "DDERR_NOCOLORKEY"); break;

    case DDERR_NOCOLORKEYHW                 :
      wsprintf (buf, "DDERR_NOCOLORKEYHW"); break;

    case DDERR_NOCOOPERATIVELEVELSET        :
      wsprintf (buf, "DDERR_NOCOOPERATIVELEVELSET"); break;

    case DDERR_NODC                         :
      wsprintf (buf, "DDERR_NODC"); break;

    case DDERR_NODDROPSHW                   :
      wsprintf (buf, "DDERR_NODDROPSHW"); break;

    case DDERR_NODIRECTDRAWHW               :
      wsprintf (buf, "DDERR_NODIRECTDRAWHW"); break;

    case DDERR_NODIRECTDRAWSUPPORT          :
      wsprintf (buf, "DDERR_NODIRECTDRAWSUPPORT"); break;

    case DDERR_NOEMULATION                  :
      wsprintf (buf, "DDERR_NOEMULATION"); break;

    case DDERR_NOEXCLUSIVEMODE              :
      wsprintf (buf, "DDERR_NOEXCLUSIVEMODE"); break;

    case DDERR_NOFLIPHW                     :
      wsprintf (buf, "DDERR_NOFLIPHW"); break;

    case DDERR_NOGDI                        :
      wsprintf (buf, "DDERR_NOGDI"); break;

    case DDERR_NOHWND                       :
      wsprintf (buf, "DDERR_NOHWND"); break;

    case DDERR_NOMIPMAPHW                   :
      wsprintf (buf, "DDERR_NOMIPMAPHW"); break;

    case DDERR_NOMIRRORHW                   :
      wsprintf (buf, "DDERR_NOMIRRORHW"); break;

    case DDERR_NOOVERLAYDEST                :
      wsprintf (buf, "DDERR_NOOVERLAYDEST"); break;

    case DDERR_NOOVERLAYHW                  :
      wsprintf (buf, "DDERR_NOOVERLAYHW"); break;

    case DDERR_NOPALETTEATTACHED            :
      wsprintf (buf, "DDERR_NOPALETTEATTACHED"); break;

    case DDERR_NOPALETTEHW                  :
      wsprintf (buf, "DDERR_NOPALETTEHW"); break;

    case DDERR_NORASTEROPHW                 :
      wsprintf (buf, "DDERR_NORASTEROPHW"); break;

    case DDERR_NOROTATIONHW                 :
      wsprintf (buf, "DDERR_NOROTATIONHW"); break;

    case DDERR_NOSTRETCHHW                  :
      wsprintf (buf, "DDERR_NOSTRETCHHW"); break;

    case DDERR_NOT4BITCOLOR                 :
      wsprintf (buf, "DDERR_NOT4BITCOLOR"); break;

    case DDERR_NOT4BITCOLORINDEX            :
      wsprintf (buf, "DDERR_NOT4BITCOLORINDEX"); break;

    case DDERR_NOT8BITCOLOR                 :
      wsprintf (buf, "DDERR_NOT8BITCOLOR"); break;

    case DDERR_NOTAOVERLAYSURFACE           :
      wsprintf (buf, "DDERR_NOTAOVERLAYSURFACE"); break;

    case DDERR_NOTEXTUREHW                  :
      wsprintf (buf, "DDERR_NOTEXTUREHW"); break;

    case DDERR_NOTFLIPPABLE                 :
      wsprintf (buf, "DDERR_NOTFLIPPABLE"); break;

    case DDERR_NOTFOUND                     :
      wsprintf (buf, "DDERR_NOTFOUND"); break;

    case DDERR_NOTINITIALIZED               :
      wsprintf (buf, "DDERR_NOTINITIALIZED"); break;

    case DDERR_NOTLOCKED                    :
      wsprintf (buf, "DDERR_NOTLOCKED"); break;

    case DDERR_NOTPAGELOCKED                :
      wsprintf (buf, "DDERR_NOTPAGELOCKED"); break;

    case DDERR_NOTPALETTIZED                :
      wsprintf (buf, "DDERR_NOTPALETTIZED"); break;

    case DDERR_NOVSYNCHW                    :
      wsprintf (buf, "DDERR_NOVSYNCHW"); break;

    case DDERR_NOZBUFFERHW                  :
      wsprintf (buf, "DDERR_NOZBUFFERHW"); break;

    case DDERR_NOZOVERLAYHW                 :
      wsprintf (buf, "DDERR_NOZOVERLAYHW"); break;

    case DDERR_OUTOFCAPS                    :
      wsprintf (buf, "DDERR_OUTOFCAPS"); break;

    case DDERR_OUTOFMEMORY                  :
      wsprintf (buf, "DDERR_OUTOFMEMORY"); break;

    case DDERR_OUTOFVIDEOMEMORY             :
      wsprintf (buf, "DDERR_OUTOFVIDEOMEMORY"); break;

    case DDERR_OVERLAYCANTCLIP              :
      wsprintf (buf, "DDERR_OVERLAYCANTCLIP"); break;

    case DDERR_OVERLAYCOLORKEYONLYONEACTIVE :
      wsprintf (buf, "DDERR_OVERLAYCOLORKEYONLYONEACTIVE"); break;

    case DDERR_OVERLAYNOTVISIBLE            :
      wsprintf (buf, "DDERR_OVERLAYNOTVISIBLE"); break;

    case DDERR_PALETTEBUSY                  :
      wsprintf (buf, "DDERR_PALETTEBUSY"); break;

    case DDERR_PRIMARYSURFACEALREADYEXISTS  :
      wsprintf (buf, "DDERR_PRIMARYSURFACEALREADYEXISTS"); break;

    case DDERR_REGIONTOOSMALL               :
      wsprintf (buf, "DDERR_REGIONTOOSMALL"); break;

    case DDERR_SURFACEALREADYATTACHED       :
      wsprintf (buf, "DDERR_SURFACEALREADYATTACHED"); break;

    case DDERR_SURFACEALREADYDEPENDENT      :
      wsprintf (buf, "DDERR_SURFACEALREADYDEPENDENT"); break;

    case DDERR_SURFACEBUSY                  :
      wsprintf (buf, "DDERR_SURFACEBUSY"); break;

    case DDERR_SURFACEISOBSCURED            :
      wsprintf (buf, "DDERR_SURFACEISOBSCURED"); break;

    case DDERR_SURFACELOST                  :
      wsprintf (buf, "DDERR_SURFACELOST"); break;

    case DDERR_SURFACENOTATTACHED           :
      wsprintf (buf, "DDERR_SURFACENOTATTACHED"); break;

    case DDERR_TOOBIGHEIGHT                 :
      wsprintf (buf, "DDERR_TOOBIGHEIGHT"); break;

    case DDERR_TOOBIGSIZE                   :
      wsprintf (buf, "DDERR_TOOBIGSIZE"); break;

    case DDERR_TOOBIGWIDTH                  :
      wsprintf (buf, "DDERR_TOOBIGWIDTH"); break;

    case DDERR_UNSUPPORTED                  :
      wsprintf (buf, "DDERR_UNSUPPORTED"); break;

    case DDERR_UNSUPPORTEDFORMAT            :
      wsprintf (buf, "DDERR_UNSUPPORTEDFORMAT"); break;

    case DDERR_UNSUPPORTEDMASK              :
      wsprintf (buf, "DDERR_UNSUPPORTEDMASK"); break;

    case DDERR_UNSUPPORTEDMODE              :
      wsprintf (buf, "DDERR_UNSUPPORTEDMODE"); break;

    case DDERR_VERTICALBLANKINPROGRESS      :
      wsprintf (buf, "DDERR_VERTICALBLANKINPROGRESS"); break;

    case DDERR_WASSTILLDRAWING              :
      wsprintf (buf, "DDERR_WASSTILLDRAWING"); break;

    case DDERR_WRONGMODE                    :
      wsprintf (buf, "DDERR_WRONGMODE"); break;

    case DDERR_XALIGN                       :
      wsprintf (buf, "DDERR_XALIGN"); break;

    default                                 :
      wsprintf (buf, "Undefined Error"); break;
  }
  MessageBox (hWnd, buf, "ERROR", MB_OK);
}
