/*********************************************************************

   Group   - Apocalypse Games

   Project - Dominate

   Target  - util.obj
   File    - util.cpp
   Author  - Jeff Weston

   Purpose - Source Code for programming utilities

**********************************************************************

RCS Information :

   $Id: util.cpp 1.3 1997/08/22 04:06:48 Jeff_Weston Exp $

   $Log: util.cpp $
   Revision 1.3  1997/08/22 04:06:48  Jeff_Weston
   - Added code for a CopyFile function that uses a FileSize parameter.

   Revision 1.2  1997/08/21 20:41:22  Jeff_Weston
   - Added code for CopyFile function.

   Revision 1.1  1997/08/21 20:36:04  Jeff_Weston
   Initial revision


*********************************************************************/

#include "util.h"

void CopyFile (HANDLE hSource, HANDLE hDest)
{
  char              buffer[BUF_SIZE];
  unsigned long int iBytesRead, iBytesWritten;

  do
  {
    if (ReadFile(hSource, buffer, BUF_SIZE, &iBytesRead, NULL))
    {
      WriteFile(hDest, buffer, iBytesRead, &iBytesWritten, NULL);
    }
  }
  while (iBytesRead == BUF_SIZE);
}

void CopyFile (HANDLE hSource, HANDLE hDest, int iFileSize)
{
  char buffer[BUF_SIZE];
  unsigned long int  iBytesRead, iBytesWritten;

  while (iFileSize >= BUF_SIZE)
  {
    if (ReadFile(hSource, buffer, BUF_SIZE, &iBytesRead, NULL))
    {
      WriteFile(hDest, buffer, iBytesRead, &iBytesWritten, NULL);
    }
    iFileSize -= iBytesRead;
  }

  if (iFileSize > 0)
  {
    if (ReadFile(hSource, buffer, iFileSize, &iBytesRead, NULL))
    {
      WriteFile(hDest, buffer, iBytesRead, &iBytesWritten, NULL);
    }
  }
}
